<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 出品登録-出品情報入力確認画面2
 *
 * @package     Seller.Itemexhibit.Now.Confirm2
 * @author      S.Oguma <shinichiro.oguma@netnee.jp>
 * @access      public
 */
class Seller_Itemexhibit_Now_Confirm2
{
    var $view;
    var $auth;
    var $itemsearch;
    var $sidemenu;
    var $t_tag;
    var $session;
    var $tname;

    var $bodyid;
    var $title;

    var $mediacd;
    var $itemcd;
    var $structcd;
    var $stockcd;
    var $curnum;
    var $updcnt;
    var $results;
    var $itemregist;
    var $itemregist_serial;
    var $actionChain;

	var $sort;
	var $pageID;
	var $listsize;
        
    /**
     * Actionの実行
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Now_Confirm2が実行されました itemcd=".$_POST['itemcd'].", structcd=".$_POST['structcd'], "Seller_Itemexhibit_Now_Confirm2#execute");

        $this->itemcd  = $_POST['itemcd'];
        $this->structcd = $_POST['structcd'];

        $this->results = $this->view->getOneItem4ExhibitRow($this->itemcd, $this->structcd);

        $errorList =& $this->actionChain->getCurErrorList();
        
        if(isset($_POST['from_pic']))
        {
            return 'success';
        }
        if(!$this -> checkPOST())
        {
            if($_POST['condition'] == "")
                $errorList -> add(1, "コンディションを選択してください。");
            if($_POST['comment'] == "") {
                $errorList -> add(1, "コメントを入力してください。");
            } else if(mb_strlen($_POST['comment'], 'UTF-8') > 300) {
                $errorList -> add(1, "コメントは300文字以内で入力してください。");
            }
            if($_POST['price'] == "")
                $errorList -> add(1, "出品価格を入力してください。");
            if($_POST['shipping'] == "")
                $errorList -> add(1, "送料を入力してください。");
            if($_POST['number'] == "")
                $errorList -> add(1, "数量を入力してください。");

            return 'input';
        }
        else
        {
            $check = true;
            if(!(is_numeric($_POST['price']) && ($_POST['price'] > 0)))
            {
                $errorList -> add(1, "正しい出品価格を入力してください。");
                $check = false;
            }
            if(!(is_numeric($_POST['shipping']) && ($_POST['shipping'] >= 0)))
            {
                $errorList -> add(1, "正しい送料を入力してください。");
                $check = false;
            }
            if(!(is_numeric($_POST['number']) && ($_POST['number'] >= 0)))
            {
                $errorList -> add(1, "正しい数量を入力してください。");
                $check = false;
            }

            if(!$check)
            {
                return 'input';
            }
            return 'success';
        }
    }
    
    function checkPOST()
    {
        $check = true;
        if($_POST['condition'] == "") $check = false;
        if($_POST['comment'] == "" OR mb_strlen($_POST['comment'], 'UTF-8') > 300) $check = false;
        if($_POST['price'] == "") $check = false;
        if($_POST['shipping'] == "") $check = false;
        if($_POST['number'] == "") $check = false;
        return $check;
    }

	function setItemregist(&$newmember)
	{
   		 $this -> itemregist =& $newmember;
	}

    function getItemregist()
	{
    	return $this -> itemregist;
	}
    
    function setItemregist_serial($value)
    {
        $value = urldecode($value);
        $this -> itemregist_serial = $value;
        $this -> itemregist = unserialize($value);
    }

    function getItemregist_serial()
    {
        return urlencode(serialize($this -> itemregist));
    }

    function getCondition()
    {
        return $this->tname->selectDivAll(9);
    }
    function getConditionName()
    {
        $condition = $this->tname->selectKey(9, $this->itemregist->condition);
        return $condition["name"];
    }

}
?>
